<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-food-variant"></i>
    </span>
    Ingredientes
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Ingredientes</li>
    </ol>
  </nav>
</div>
<!-- boton  -->
<div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
  <div></div>
  <div class="row">
    <button type="button" class="btn btn-dark btn-fw" (click)="openModal(ModalContent)">
      <i class="mdi mdi-plus-box"> Crear ingrediente</i>
    </button>
    <button type="button" class="btn btn-dark btn-fw" (click)="valorizarInventario()">
      <i class="mdi mdi-plus-box"> Valorizar inventario</i>
    </button>
  </div>
</div>
<!-- boton -->
<!-- Inicio de table -->
<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="title mb-sm-0">Listado de ingredientes</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Nombre</th>
                <th class="font-weight-bold">Marca</th>
                <th class="font-weight-bold">Unidad medida</th>
                <th class="font-weight-bold">Precio valorizado *1000</th>
                <th class="font-weight-bold">Stock actual</th>
                <th class="font-weight-bold">Stock mínimo</th>
                <th class="font-weight-bold">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of tipeIngredients">
                <td>{{ item.nombre }}</td>
                <td>{{ item.marca.nombre }}</td>
                <td>{{ item.unidad_medida }}</td>
                <td>${{ item.precio_valorizacion*1000 }}</td>
                <td>{{ item.stock_actual }}</td>
                <td>{{ item.stock_minimo }}</td>
                <td>
                  <button type="button" class="btn btn-danger btn-icon" (click)="eliminarTipoIngrediente(item.id);" placement="bottom" ngbTooltip="Eliminar ingrediente">
                    <i class="mdi mdi-delete-forever"></i>
                  </button>
                  <button type="button" class="btn btn-inverse-dark btn-icon"
                    (click)="editarTipoIngrediente(item); openModalEdit(ModalContentEdit)" placement="bottom" ngbTooltip="Editar ingrediente">
                    <i class="mdi mdi-grease-pencil"></i>
                  </button>
                  <button type="button" class="btn btn-success btn-icon" (click)="navigate(item)" placement="bottom" ngbTooltip="Ver stock">
                    <i class="mdi mdi-book-plus"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin de table -->


<!-- Modal crear tipo-ingrediente inicio -->
<ng-template class="modal fade" #ModalContent let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="dismiss(modal)">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body" [formGroup]="tipeIngredientCreate">
          <h4 class="card-title">Crear ingrediente</h4>
          <p class="card-description">
            Ingrese los campos requeridos para la creación del ingrediente
          </p>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName1">Nombre</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Ingrese un nombre" #nombre
                style="background-color:dark" formControlName="nombre">
            </div>
          </div>
          <div class="form-group">
            <label for="marca_id">Marca</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
              </div>
              <select class="custom-select" id="marca_id" formControlName="marca_id">
                <option selected [value]="null">Seleccione una marca</option>
                <option *ngFor="let item of marcas" [value]="item.id">{{ item.nombre }}</option>
              </select>
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName1">Stock minimo</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Ingrese un stock minimo" #stock_minimo
                style="background-color:dark" formControlName="stock_minimo"  onkeypress="return event.charCode>=48 && event.charCode<=57" 
                required maxlength="3">
            </div>
          </div>
          <div class="form-group">
            <label for="unidad_medida">Unidad de medida</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
              </div>
              <select class="custom-select" id="unidad_medida" formControlName="unidad_medida">
                <option selected [value]="null">Seleccione una unidad de medida</option>
                <option [value]="'gr'">Gr</option>
                <option [value]="'ml'">Ml</option>
              </select>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2"
        (click)="crearTipeIngredient(tipeIngredientCreate.value, modal)" [disabled]="this.tipeIngredientCreate.invalid">Crear</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="dismiss(modal)">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear rol final -->

<!-- Editar ingrediente inicio  -->
<ng-template class="modal fade "  #ModalContentEdit let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="dismiss(modal)">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body">
          <h4 class="card-title">Editar ingrediente</h4>
          <p class="card-description">
            Modifique los campos deseados para editar el ingrediente
          </p>
          <form class="forms-sample" #f="ngForm">
            <div class="form-group">
              <label for="exampleInputName1">Nombre</label>
              <input type="text" class="form-control" id="nombre" placeholder="Ingrese un nombre" name="nombre"
                [(ngModel)]="ingredientModel.nombre" #nombre="ngModel" required>
            </div>
            <div class="form-group">
              <label for="marca_id">Marca</label>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                </div>
                <select class="custom-select" id="marca_id" [(ngModel)]="ingredientModel.marca_id" name="marca_id"
                  #marca_id="ngModel" required>
                  <option [value]="null">Seleccione un tipo de ingrediente</option>
                  <option *ngFor="let tipeIngre of marcas" [value]="tipeIngre.id">{{ tipeIngre.nombre }}
                  </option>
                </select>
              </div>
            </div>
            <div class="form-group">
              <label for="exampleInputName1">Stock minimo</label>
              <input type="text" class="form-control" id="stock_minimo" placeholder="Ingrese un stock minimo" name="stock_minimo"
                [(ngModel)]="ingredientModel.stock_minimo" #stock_minimo="ngModel" required>
            </div>
            <div class="form-group">
              <label for="unidad_medida">Unidad de medida</label>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                </div>
                <select class="custom-select" id="unidad_medida" [(ngModel)]="ingredientModel.unidad_medida"
                  name="unidad_medida" #unidad_medida="ngModel" required>
                  <option [value]="null">Seleccione un tipo de ingrediente</option>
                  <option [value]="'gr'">Gr</option>
                  <option [value]="'ml'">Ml</option>
                </select>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="guardarEdit(modal)" [disabled]="f.invalid">Guardar</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="dismiss(modal)">Cancelar</button>
    </div>
  </div>
</ng-template>
<!-- Editar final -->